Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO]Problema portege vuole installare kaffe e jikes.
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Slayer86
Tux's lil' helper
Tux's lil' helper


Joined: 30 Nov 2007
Posts: 98

PostPosted: Wed Dec 02, 2009 12:18 pm    Post subject: [RISOLTO]Problema portege vuole installare kaffe e jikes. Reply with quote

è da un paio di settimane che ho sto problema...

Con emerge -avuDN world questo è il risultato:

Code:
Calculating dependencies... done!
[ebuild  N    ] dev-java/jikes-1.22-r13  0 kB
[ebuild  N    ] dev-java/kaffe-1.1.7-r4  USE="gtk nls -alsa -esd -gmp" 0 kB

Total: 2 packages (2 new), Size of downloads: 0 kB


quando poi do un emerge --depclean i 2 pacchetti vengono rimossi...

Si è per caso rovinato il file world??


Last edited by Slayer86 on Wed Dec 02, 2009 2:54 pm; edited 1 time in total
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Wed Dec 02, 2009 1:16 pm    Post subject: Re: Problema dipendenze, portege vuole installare kaffe e ji Reply with quote

Slayer86 wrote:
è da un paio di settimane che ho sto problema...

Con emerge -avuDN world questo è il risultato:

Code:
Calculating dependencies... done!
[ebuild  N    ] dev-java/jikes-1.22-r13  0 kB
[ebuild  N    ] dev-java/kaffe-1.1.7-r4  USE="gtk nls -alsa -esd -gmp" 0 kB

Total: 2 packages (2 new), Size of downloads: 0 kB


quando poi do un emerge --depclean i 2 pacchetti vengono rimossi...

Si è per caso rovinato il file world??

Riportaci l'output di
Code:

emerge -ptDNuv --with-bdeps y world

(ricordati la t nei parametri, versione abbreviate dell'opzione --tree).
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
Slayer86
Tux's lil' helper
Tux's lil' helper


Joined: 30 Nov 2007
Posts: 98

PostPosted: Wed Dec 02, 2009 1:35 pm    Post subject: Reply with quote

emerge -ptDNuv --with-bdeps y world :
Code:


These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge      ] virtual/jdk-1.4.2
[ebuild  N    ]  dev-java/kaffe-1.1.7-r4  USE="gtk nls -alsa -esd -gmp" 0 kB
[nomerge      ] dev-java/jdbc-mysql-5.1.6  USE="-c3p0 -log4j -source"
[nomerge      ]  virtual/jdk-1.5.0
[ebuild     U ]   dev-java/sun-jdk-1.5.0.22 [1.5.0.20] USE="X alsa nsplugin -doc -examples -jce -odbc" 48,616 kB
[nomerge      ] media-video/dvdrip-0.98.10-r2  USE="ffmpeg fping hal ogg vcd vorbis xvid -mplayer -subtitles -xine"
[nomerge      ]  dev-perl/gtk2-perl-1.202
[ebuild     U ]   dev-perl/extutils-depends-0.302 [0.300] 11 kB
[nomerge      ] sys-devel/automake-1.10.2
[nomerge      ]  sys-apps/help2man-1.36.4  USE="nls"
[ebuild     U ]   dev-perl/Locale-gettext-1.05-r1 [1.05] 0 kB
[nomerge      ] dev-java/kaffe-1.1.7-r4  USE="gtk nls -alsa -esd -gmp"
[ebuild  N    ]  dev-java/jikes-1.22-r13  0 kB

Total: 5 packages (3 upgrades, 2 new), Size of downloads: 48,627 kB


ecco!

intanto grazie!
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Wed Dec 02, 2009 1:52 pm    Post subject: Reply with quote

Slayer86 wrote:
emerge -ptDNuv --with-bdeps y world :
Code:


These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge      ] virtual/jdk-1.4.2
[ebuild  N    ]  dev-java/kaffe-1.1.7-r4  USE="gtk nls -alsa -esd -gmp" 0 kB
...
[nomerge      ] dev-java/kaffe-1.1.7-r4  USE="gtk nls -alsa -esd -gmp"
[ebuild  N    ]  dev-java/jikes-1.22-r13  0 kB
...


Hai installato virtual/jdk-1.4.2, quindi lo slot 1.4
Code:

* virtual/jdk
     Available versions:
        (1.4)   1.4.1 1.4.2
        (1.5)   1.5.0
        (1.6)   1.6.0
     Homepage:            http://java.sun.com/
     Description:         Virtual for JDK

che richiede =dev-java/kaffe-1.1* (che a sua volta richiede dev-java/jikes)

Se non ti serve espressamente tale versione di Java, disinstallala:
Code:

emerge -C virtual/jdk:1.4

_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
Slayer86
Tux's lil' helper
Tux's lil' helper


Joined: 30 Nov 2007
Posts: 98

PostPosted: Wed Dec 02, 2009 2:53 pm    Post subject: Reply with quote

Ok Risolto grazie... cmq non capisco il perchè di questa cosa... certo che vivo pure senza java 1.4!
Grazie!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum